Module org.firebirdsql.jaybird
Package org.firebirdsql.gds.ng.wire.auth

# Enum Class AuthenticationPlugin.AuthStatus

java.lang.Object
java.lang.Enum<AuthenticationPlugin.AuthStatus>
org.firebirdsql.gds.ng.wire.auth.AuthenticationPlugin.AuthStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthenticationPlugin.AuthStatus>`, `Constable`

Enclosing interface:
  AuthenticationPlugin

public static enum AuthenticationPlugin.AuthStatus extends Enum<AuthenticationPlugin.AuthStatus>
Status of authentication.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AUTH_CONTINUE`
  Plugin is not able to authenticate using the available data, continue with another plugin.
  `AUTH_MORE_DATA`
  The authentication needs more data to complete (e.g.
  `AUTH_SUCCESS`
  Authentication completed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AuthenticationPlugin.AuthStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AuthenticationPlugin.AuthStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AUTH_SUCCESS

    public static final AuthenticationPlugin.AuthStatus AUTH_SUCCESS
    Authentication completed.

  - ### AUTH_CONTINUE

    public static final AuthenticationPlugin.AuthStatus AUTH_CONTINUE
    Plugin is not able to authenticate using the available data, continue with another plugin.

  - ### AUTH_MORE_DATA

    public static final AuthenticationPlugin.AuthStatus AUTH_MORE_DATA
    The authentication needs more data to complete (e.g. key exchange/handshake).

- ## Method Details

  - ### values

    public static AuthenticationPlugin.AuthStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AuthenticationPlugin.AuthStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null